import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listMachineconfig(query) {
  return request({
    url: '/laboratory/machineconfig/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getMachineconfig(id) {
  return request({
    url: '/laboratory/machineconfig/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addMachineconfig(data) {
  return request({
    url: '/laboratory/machineconfig',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateMachineconfig(data) {
  return request({
    url: '/laboratory/machineconfig',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delMachineconfig(id) {
  return request({
    url: '/laboratory/machineconfig/' + id,
    method: 'delete'
  })
}
